> ## Documentation Index
> Fetch the complete documentation index at: https://docs.business.blaaiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a crypto transaction

> Get one API-created crypto transaction. An active on-chain payout returns `processing`. A payout that ends unsuccessfully returns `failed`. Required scope: `crypto-transaction:read`.



## OpenAPI

````yaml /api-reference/crypto/get-transaction-openapi.json get /api/external/crypto/transactions/{transactionId}
openapi: 3.1.0
info:
  title: Blaaiz Platform API - Get Crypto Transaction
  version: 1.0.0
  description: Get one API-created crypto transaction that belongs to your business.
servers:
  - url: https://api-prod.blaaiz.com
  - url: https://api-dev.blaaiz.com
security: []
tags:
  - name: Crypto
paths:
  /api/external/crypto/transactions/{transactionId}:
    get:
      tags:
        - Crypto
      summary: Get a crypto transaction
      description: >-
        Get one API-created crypto transaction. An active on-chain payout
        returns `processing`. A payout that ends unsuccessfully returns
        `failed`. Required scope: `crypto-transaction:read`.
      parameters:
        - name: transactionId
          in: path
          required: true
          schema:
            type: string
          description: The crypto transaction ID.
      responses:
        '200':
          description: Crypto transaction retrieved successfully.
          content:
            application/json:
              example:
                message: Crypto transaction retrieved successfully.
                data:
                  id: transaction-id
                  wallet_id: wallet-id
                  type: payout
                  status: processing
                  reference: CRYPTO-REF
                  currency: USDC
                  amount: '100.000000'
                  fee: '1.000000'
                  net_amount: '99.000000'
                  balance_change: '-100.000000'
                  target_currency: USDC
                  target_amount: '99.000000'
                  rate: '1.00000000'
                  address: '0x742d35Cc6634C0532925a3b844Bc9e7595f6E123'
                  network: ETHEREUM_MAINNET
                  transaction_hash: null
                  counterparty_transaction_id: null
                  counterparty_transaction: null
                  fiat_transaction_id: null
                  fiat_transaction: null
                  created_at: '2026-08-12T20:00:00.000000Z'
                  updated_at: '2026-08-12T20:00:00.000000Z'
        '404':
          description: >-
            The transaction does not belong to your business, was not created
            through the Crypto API, or does not exist.
      security:
        - oauth2ClientCredentials:
            - crypto-transaction:read
components:
  securitySchemes:
    oauth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            crypto-transaction:read: Read crypto wallet transactions.

````